# amrnbenc

AMR narrowband encoder based on the opencore codec implementation.

## Example launch line

     gst-launch-1.0 filesrc location=abc.wav ! wavparse ! audioconvert ! audioresample ! amrnbenc ! filesink location=abc.amr

Please note that the above stream misses the header, that is needed to play the stream.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstAudioEncoder
                        ╰──amrnbenc

## Implemented interfaces

    GstPreset

## Factory details

Authors: – Wim Taymans

Classification: – `Codec/Encoder/Audio`

Rank – secondary

Plugin – amrnb

Package – GStreamer Good Plug-ins

## Pad Templates

### `sink`

    audio/x-raw:
             format: S16LE
             layout: interleaved
               rate: 8000
           channels: 1

Presence – always

Direction – sink

Object type – GstPad

### `src`

    audio/AMR:
               rate: 8000
           channels: 1

Presence – always

Direction – src

Object type – GstPad

## Properties

### band-mode

    “band-mode” Amrnb-enc-band-mode *

Encoding Band Mode (Kbps)

Flags : Read / Write / Construct

Default value : MR122 (7)

## Named constants

### Amrnb-enc-band-mode

#### Members

`MR475` (0) – MR475
`MR515` (1) – MR515
`MR59` (2) – MR59
`MR67` (3) – MR67
`MR74` (4) – MR74
`MR795` (5) – MR795
`MR102` (6) – MR102
`MR122` (7) – MR122
`MRDTX` (8) – MRDTX

The results of the search are